NTP vulnerability CVE-2017-6462

2017-05-08T20:43:00
ID F5:K07082049
Type f5
Reporter f5
Modified 2018-12-20T22:37:00

Description

F5 Product Development has assigned ID 656912 (BIG-IP), ID 657597 (BIG-IQ), ID 657596 (Enterprise Manager), ID 507785 (ARX), and ID 659968 (F5 iWorkflow) to this vulnerability. Additionally, BIG-IP iHealth may list Heuristic H07082049 on the Diagnostics > Identified > Low page.

To determine if your release is known to be vulnerable, the components or features that are affected by the vulnerability, and for information about releases or hotfixes that address the vulnerability, refer to the following table.

Product | Versions known to be vulnerable | Versions known to be not vulnerable | Severity | Vulnerable component or feature
---|---|---|---|---
BIG-IP LTM | 13.0.0
12.0.0 - 12.1.2
11.4.0 - 11.6.3
11.2.1 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
BIG-IP AAM | 13.0.0
12.0.0 - 12.1.2
11.4.0 - 11.6.3 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
BIG-IP AFM | 13.0.0
12.0.0 - 12.1.2
11.4.0 - 11.6.3 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
BIG-IP Analytics | 13.0.0
12.0.0 - 12.1.2
11.4.0 - 11.6.3
11.2.1 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
BIG-IP APM | 13.0.0
12.0.0 - 12.1.2
11.4.0 - 11.6.3
11.2.1 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
BIG-IP ASM | 13.0.0
12.0.0 - 12.1.2
11.4.0 - 11.6.3
11.2.1 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
BIG-IP DNS | 13.0.0
12.0.0 - 12.1.2 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
BIG-IP Edge Gateway | 11.2.1 | None | Low | NTP package
BIG-IP GTM | 11.4.0 - 11.6.3
11.2.1 | None | Low | NTP package
BIG-IP Link Controller | 13.0.0
12.0.0 - 12.1.2
11.4.0 - 11.6.3
11.2.1 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
BIG-IP PEM | 13.0.0
12.0.0 - 12.1.2
11.4.0 - 11.6.3 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
BIG-IP PSM | 11.4.0 - 11.4.1 | None | Low | NTP package
BIG-IP WebAccelerator | 11.2.1 | None | Low | NTP package
BIG-IP WebSafe | 13.0.0
12.0.0 - 12.1.2
11.6.0 - 11.6.3 | 14.0.0 - 14.1.0
13.0.1 - 13.1.1
12.1.3 - 12.1.4 | Low | NTP package
ARX | None | 6.2.0 - 6.4.0 | Not Vulnerable | None
Enterprise Manager | 3.1.1 | None | Low | NTP package
BIG-IQ Cloud | 4.4.0 - 4.5.0 | None | Low | NTP package
BIG-IQ Device | 4.4.0 - 4.5.0 | None | Low | NTP package
BIG-IQ Security | 4.4.0 - 4.5.0 | None | Low | NTP package
BIG-IQ ADC | 4.5.0 | None | Low | NTP package
BIG-IQ Centralized Management | 5.0.0 - 5.4.0
4.6.0 | None | Low | NTP package
BIG-IQ Cloud and Orchestration | 1.0.0 | None | Low | NTP package
F5 iWorkflow | 2.0.0 - 2.3.0 | None | Low | NTP package
LineRate | None | 2.5.0 - 2.6.2 | Not vulnerable | None
Traffix SDC | 5.0.0 - 5.1.0
4.0.0 - 4.4.0 | None | Low | NTP package

If you are running a version listed in the Versions known to be vulnerable column, you can eliminate this vulnerability by upgrading to a version listed in the Versions known to be not vulnerable column. If the table lists only an older version than what you are currently running, or does not list a non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should understand the BIG-IQ product offering name changes. For more information, refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow systems.

Mitigation

Do not use the datum ref clock device and if the device is used, ensure that it is not being maliciously controlled by an untrusted source.